# class ObjectType

#### package cpp

Available on Android, iOS, Linux, macOS, Windows

### Static variables

###

`staticinline read onlyvtAbstractBase:Int = 0x100`

###

`staticinline read onlyvtArray:Int = 5`

###

`staticinline read onlyvtBool:Int = 2`

###

`staticinline read onlyvtClass:Int = 8`

###

`staticinline read onlyvtEnum:Int = 7`

###

`staticinline read onlyvtFloat:Int = 1`

###

`staticinline read onlyvtFunction:Int = 6`

###

`staticinline read onlyvtInt:Int = 0xff`

###

`staticinline read onlyvtInt64:Int = 9`

###

`staticinline read onlyvtNull:Int = 0`

###

`staticinline read onlyvtObject:Int = 4`

###

`staticinline read onlyvtString:Int = 3`

###

`staticinline read onlyvtUnknown:Int = -1`